import request from '/@/utils/request';

/**
 * @summary GetAssetsEquipmentPhartMappingByEquipmentID
 */
export const GetAssetsEquipmentPhartMappingByEquipmentID = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Phart/Mapping/GetByEquipmentID@V1.0',
		method: 'get',
		params,
	});
};

/**
 * @summary 获取所有设备图表映射
 */
export const GetAllAssetsEquipmentPhartMapping = async (req: any = request) => {
	return req({
		url: '/Assets/Equipment/Phart/Mapping/GetAll@V1.0',
		method: 'get',
	});
};

/**
 * @summary 添加一个设备图表映射
 */
export const InsertAAssetsEquipmentPhartMapping = async (data, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Phart/Mapping/Insert@V1.0',
		method: 'post',
		data,
	});
};

/**
 * @summary 修改一个设备图表映射
 */
export const UpdateAAssetsEquipmentPhartMapping = async (data, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Phart/Mapping/Update@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 修改设备图表映射排序码
 */
export const UpdateAssetsEquipmentPhartMappingSorter = async (data, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Phart/Mapping/UpdateSorter@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 删除一个设备图表映射
 */
export const DeleteAAssetsEquipmentPhartMapping = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Phart/Mapping/DeleteByID@V1.0',
		method: 'delete',
		params,
	});
};

export type EquipmentPhartMapping = {
	ID: string;
	EquipmentID: string;
	DiagramID: string;
	OtherName: string;
	Importance: number;
	SortCode: number;
};
